<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateComentario extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('comentario')
			->addColumn('venta', 'integer', ['length' => 10, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('fecha', 'datetime', ['default' => null, 'null' => true])
			->addColumn('texto', 'blob', ['default' => null, 'null' => true])
			->addColumn('estado', 'integer', ['length' => 11, 'default' => 1])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
